[draggable] {
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  user-select: none;
  /* Required to make elements draggable in old WebKit */
  -khtml-user-drag: element;
  -webkit-user-drag: element;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100vw;
  min-height: 100vh;
  border: none;
  overflow-x: hidden;
}

html {
  font-family: arial, sans-serif;
  font-size: 16px;
}

.kode4demo-section {
  margin: 20px;
  border: dotted 1px #ccc;
  padding: 20px;
}

.kode4demo-spacer-v {
  height: 25px;
}

h2 {
  margin: 0;
  padding: 0;
  line-height: 1.5em;
}

.kode4demo-menuitem {
  display: inline-block;
  cursor: pointer;

  + .kode4demo-menuitem {
    margin-left: 10px;
  }
}

.form-dirty {
  border: solid 2px #f00;
}

.form-clean {
  border: solid 2px #0f0;
}

kode4-form.kode4-dirty .form-clean {
  display: none;
}

kode4-form:not(.kode4-dirty) .form-dirty {
  display: none;
}

kode4-custom-select-option div {
  font-weight: bold;
  font-size: 1.2em;
  text-align: center;
}

kode4-custom-select-option img {
  display: block;
  width: 100%;
}

/*
kode4-custom-select-option:not(.kode4-custom-option-selected) {
  border: solid 2px #f00;
}

kode4-custom-select-option.kode4-custom-option-selected {
  border: solid 2px #0f0;
}
*/
